$base_spacing: 0.25rem;

@for $i from 0 through 100 {
  .m-#{$i} {
    margin: $base_spacing*$i;
  }

  .mt-#{$i} {
    margin-top: $base_spacing*$i;
  }

  .mb-#{$i} {
    margin-bottom: $base_spacing*$i;
  }

  .ml-#{$i} {
    margin-left: $base_spacing*$i;
  }

  .mr-#{$i} {
    margin-right: $base_spacing*$i;
  }

  .p-#{$i} {
    padding: $base_spacing*$i;
  }

  .pt-#{$i} {
    padding-top: $base_spacing*$i;
  }

  .pb-#{$i} {
    padding-bottom: $base_spacing*$i;
  }

  .pl-#{$i} {
    padding-left: $base_spacing*$i;
  }

  .pr-#{$i} {
    padding-right: $base_spacing*$i;
  }
}
